## dos2unix 7.4.2

=== debian/changelog ===
dos2unix (7.4.2-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 15 Aug 2021 21:05:16 -0700

dos2unix (7.4.2-1) experimental; urgency=medium

  * New upstream version 7.4.2
    Updated translations
  * Update Maintainer (Closes: #920104)
  * Freshen debian/copyright
  * Bump Standards-Version to 4.5.1
  * Add debian/gbp.conf for debian/latest branch (DEP-14)
  * Upload to experimental during the Bullseye freeze

 -- tony mancill <tmancill@debian.org>  Fri, 02 Apr 2021 21:02:54 -0700
