=== debian/control ===
Source: dos2unix
Section: text
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: dpkg-dev (>= 1.16.2), debhelper-compat (= 13), po4a, locales-all
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/dos2unix
Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
Rules-Requires-Root: no

Package: dos2unix
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: convert text file line endings between CRLF and LF
 This package contains utilities dos2unix, unix2dos, mac2unix,
 unix2mac to convert the line endings of text files between UNIX (LF),
 DOS (CRLF) and Mac (CR) formats.
 .
 Text files under Windows and DOS typically have two ASCII characters
 at the end of each line: CR (carriage return) followed by LF (line
 feed). Older Macs used just CR, while UNIX uses just LF. While most
 modern editors can read all these formats, there may still be a need
 to convert files between them.
 .
 This is the classic utility developed in 1989.
