=== debian/changelog ===
dos2unix (7.4.3-1) unstable; urgency=medium

  * New upstream version 7.4.3
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 12 Jun 2022 15:08:36 -0700
