=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.2), debhelper-compat (= 13), po4a, locales-all
-Standards-Version: 4.5.1
+Build-Depends: dpkg-dev (>= 1.16.2),debhelper-compat (= 13), po4a, locales-all
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
