## dos2unix 7.5.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Author: Erwin Waterlander
 #
-#   Copyright (C) 2009-2020 Erwin Waterlander
+#   Copyright (C) 2009-2022 Erwin Waterlander
 #   All rights reserved.
 #
 #   Redistribution and use in source and binary forms, with or without
@@ -396,7 +396,7 @@
 	$(CC) $+ $(LDFLAGS) $(LIBS) -o $@
 
 # DJGPP supports linking of .EXEs via 'stubify'.
-# See djgpp.mak and http://www.delorie.com/djgpp/v2faq/faq22_5.html
+# See djgpp.mak and https://www.delorie.com/djgpp/v2faq/faq22_5.html
 # ln -s does automatic stubify in DJGPP 2.03.
 # This changed in DJGPP 2.05. DJGPP 2.05 emulates symbolic links.
