=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TESTS = ascii.t iso.t misc.t bom.t
+TESTS = ascii.t iso.t misc.t bom.t noeol.t stdio.t
 
 d2u_os=$(shell uname -s)
 UCS = 1
@@ -90,6 +90,12 @@
 symlink:
 	prove -v $(PROVE_OPT) $@.t
 
+noeol:
+	prove -v $(PROVE_OPT) $@.t
+
+stdio:
+	prove -v $(PROVE_OPT) $@.t
+
 wcstombs:
 	$(CC) -Wall -Wextra wcstombs_test.c -o wcstombs_test
 	@echo "====> test wcstombs() UTF-8"
