=== debian/changelog ===
dos2unix (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1

 -- tony mancill <tmancill@debian.org>  Mon, 04 Sep 2023 11:36:58 -0700

dos2unix (7.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository.
  * Fix day-of-week for changelog entry 5.2-1.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ tony mancill ]
  * New upstream version 7.5.0
    - New and updated translations (in upstream version 7.4.4)
    - New option -O, --to-stdout to write to standard output
    - New option -e, --add-eol to add a line break to the last
      line if there isn't one. Option --no-add-eol disables the feature.
  * Update Standards-Version to 4.6.2 (no changes needed)
  * Freshen years in debian/copyright
  * Add lintian overrides for long lines in sources

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 16:47:20 -0700
