=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.2),debhelper-compat (= 13), po4a, locales-all
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
