=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PODCENTER    = $(shell date -u +"%Y-%m-%d" --date="$(SOURCE_DATE_EPOCH)")
 export PODCENTER
