## dos2unix 7.5.2

=== debian/changelog ===
dos2unix (7.5.2-1) unstable; urgency=medium

  * New upstream version 7.5.2 (Closes: #1053983)
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Thu, 25 Apr 2024 20:49:42 -0700
