=== debian/changelog ===
dos2unix (7.5.4-1) unstable; urgency=medium

  * New upstream version 7.5.4 (Closes: #1111217)
  * Retrieve upstream signing key to address uscan error.
  * Bump Standards-Version to 4.7.3
  * Update debian/watch to version 5
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Tue, 24 Feb 2026 13:42:10 -0800
