=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: dos2unix
 Section: text
-Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.2),debhelper-compat (= 13), po4a, locales-all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
-Rules-Requires-Root: no
 
 Package: dos2unix
 Architecture: any
