=== debian/watch ===
Version: 5

Source: https://www.xs4all.nl/~waterlan/dos2unix.html
Matching-Pattern: .*dos2unix-([.\d]+)\.tar\.gz
Pgpsigurlmangle: s/$/.asc/
